Katello - Bug #24129

Hide link to "Add subscriptions” when no manifest is uploaded
07/02/2018 12:51 PM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Subscriptions
Target version: Katello 3.7.1
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1596880 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/751
Description

When no manifest is uploaded the subscriptions page still shows "Add subscription" buttons. Clicking on them takes users to the add
subscription page showing empty view with:

e text saying "There are no Subscription Allocations to display" and wrong link to docs

¢ a button "New subscription allocation" with a wrong link too
Both informations are misleading. No allocation can be added until a manifest is imported. The empty view doesn't make much
sense on this page.

Proposed solution:
When no manifest is imported:

¢ Disable "Add subscription" button in the top right toolbar with an appropriate tooltip message.

¢ Show different empty view on the subscriptions page saying "Import a Manifest to manage your Entitlements" or something
similar and show "Manage Manifest" button (opening the corresponding modal on click) instead of "Add Subscriptions".

¢ Change the text in the add subscriptions empty view to something similar to the previous bullet. Hide the action button there.

By that the add subscriptions page should be effectively cut out when there's no manifest. The empty view for add subscriptions
should be changed anyway, just in case.

Associated revisions

Revision d04bf684 - 07/18/2018 05:19 PM - Walden Raines

Fixes #24129: fix subs. display when no manifest.
When there is no manifest:

- Disable "Add subscription" button in the top right toolbar
with an appropriate tooltip message.

- Show different empty view on the subscriptions page saying
"Import a Manifest to manage your Entitlements" or something
similar and show "Manage Manifest" button.

- Change the text in the add subscriptions empty view to the above.

https://projects.theforeman.org/issues/24129

History

#1 - 07/02/2018 12:52 PM - Tomas Strachota
- Bugzilla link set to 1596880

#2 - 07/10/2018 02:08 PM - Walden Raines
- Target version changed from 253 to Katello 3.7.0
- Triaged set to No
#3 - 07/10/2018 06:25 PM - Walden Raines

- Assignee set to Walden Raines

#4 - 07/10/2018 08:08 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/7516 added

#5 - 07/11/2018 06:21 PM - Justin Sherrill
- Target version changed from Katello 3.7.0 to Katello 3.7.1

#6 - 07/11/2018 07:30 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#7 - 07/18/2018 06:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|d04bf684dad7949ec72b8cc463eabdede1ac3béf.
